# wavescope

Wavescope is a simple audio visualisation element. It renders the waveforms like on an oscilloscope.

## Example launch line

     gst-launch-1.0 audiotestsrc ! audioconvert ! wavescope ! ximagesink

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAudioVisualizer
                        ╰──wavescope

## Factory details

Authors: – Stefan Kost

Classification: – `Visualization`

Rank – none

Plugin – audiovisualizers

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    audio/x-raw:
             format: S16LE
             layout: interleaved
               rate: [ 8000, 96000 ]
           channels: 2
       channel-mask: 0x0000000000000003

Presence – always

Direction – sink

Object type – GstPad

### `src`

    video/x-raw:
             format: BGRx
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### style

    “style” Wave-scope-style *

Drawing styles for the wave form display.

Flags : Read / Write / Construct

Default value : dots (0)

## Named constants

### Wave-scope-style

#### Members

`dots` (0) – draw dots (default)
`lines` (1) – draw lines
`color-dots` (2) – draw color dots
`color-lines` (3) – draw color lines

The results of the search are